#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 generic-random
version:              1.3.0.1
visibility:           public
id:                   generic-random-1.3.0.1-BSXy2s9PlZnBVKgjDnOSJx
key:                  generic-random-1.3.0.1-BSXy2s9PlZnBVKgjDnOSJx
license:              MIT
maintainer:           lysxia@gmail.com
author:               Li-yao Xia
stability:            Stable
homepage:             http://github.com/lysxia/generic-random
synopsis:             Generic random generators for QuickCheck
description:
    Derive instances of @Arbitrary@ for QuickCheck,
    with various options to customize implementations.

    For more information

    - See the README

    - "Generic.Random.Tutorial"

    - http://blog.poisson.chat/posts/2018-01-05-generic-random-tour.html

category:             Generics, Testing
abi:                  80e342a4dae7afc0d640d63fba347a69
exposed:              True
exposed-modules:
    Generic.Random Generic.Random.Internal.BaseCase
    Generic.Random.Internal.Generic Generic.Random.Tutorial

import-dirs:          /usr/lib/ghc-8.10.3/site-local/generic-random-1.3.0.1
library-dirs:         /usr/lib/ghc-8.10.3/site-local/generic-random-1.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/generic-random-1.3.0.1
hs-libraries:         HSgeneric-random-1.3.0.1-BSXy2s9PlZnBVKgjDnOSJx
depends:
    QuickCheck-2.14.2-BJR2Lu5rIsECaJpqau9jTC base-4.14.1.0

haddock-interfaces:
    /usr/share/doc/haskell-generic-random/html/generic-random.haddock

haddock-html:         /usr/share/doc/haskell-generic-random/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

